Subject: Re: Memory overrun in http-push.c

From: Andy Parkins <[email-masked]>
Date: Fri, 2 Mar 2007 15:22:43 +0000

On Friday 2007 March 02 14:46, Jakub Narebski wrote:

> What about this (that is roughtly what git and Linux kernel use):
>  * Tag a release
>  * Issue "make dist" which would automatically replace @@STH_VERSION@@
>    (or ++STH_VERSION++ for example in Perl files) with result of
>    "git describe" (although I think that plain old "make" also does this)
>    _and_ create proper STH_VERSION file
>  * tar it up using "git archive --format=tar" which would add version
>    as a tar comment
>  * Release

Yep; you've improved the workflow for my example.  However, it's not quite the 
same because in git the tokens in the ".perl" files are substituted into 
files without the suffix.  This means that those files aren't the real source 
files.  You can't put that token in the source files themselves because that 
would change their content and would then show up to git as changes.

Therefore git itself has to be involved with the keyword substitution, because 
you want it to be blind to that substitution when it's checking for changes.

Of course that's all predicated on you actually wanting keywords.  For people 
that don't want them, I can see why the point is moot.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]